Skip to main content
PATCH
Atualizar endpoint de webhook

Authorizations

Authorization
string
header
required

Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.

Path Parameters

id
string<uuid>
required

ID do endpoint (UUID)

Body

application/json
url
string<uri>

Nova URL do endpoint

Maximum string length: 2048
events
enum<string>[]

Novos eventos do endpoint

Minimum array length: 1
Available options:
charge.pending,
charge.authorized,
charge.captured,
charge.partially_refunded,
charge.refunded,
charge.voided,
charge.failed,
charge.expired,
charge.chargeback
status
enum<string>

Ativar ou pausar o endpoint

Available options:
active,
paused

Response

Endpoint atualizado com sucesso

success
boolean
Example:

true

message
string
data
object